[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: pppd 2.3.3 with pam



On Wed, 7 Jan 1998, Cristian Gafton wrote:

> A PAM patch for pppd 2.3.3 and RH 5.0 is attached. RH will release an
> updated pppd package "soon". I don't expect it to work on RH 4.2. But it
> will be easy enough to adapt it for the older PAM lib.

I tried your patch and so far have been unable to get it to work. I suspect
that I have something misconfigured. I applied your patch and compiled it
with USE_PAM=1. It compiled ok. I then installed it and it appears outbound
connections work just fine. I am trying to get it to use pam to do 
passwd authentication for inbound connections from a win95 box I have. 
I have shadow passwds enabled. I am using the stock pam configuration file 
as installed by the installation script. I am using mgetty with the auto_ppp 
enabled. The syslog says pap authentication failure for user eeyore.

The ppp command line looks like the following:
/usr/sbin/pppd auth refuse-chap require-pap login kdebug 7 debug

The entry in the pap-secrets file looks something like the following:
eeyore	roo	*	*

The w95 machine I am trying to connect to my linux box is eeyore the 5.0
box is roo.

Do I need to add something to the pam config file for this to work or am I
missing something else??

......Tom			"Do not meddle in the affairs of wizards,
tdiehl@pil.net			 for you are crunchy and good with ketchup."

	 Unix IS user friendly. It's just selective about who its friends are.

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index] []